---
title: submitMFAInfo
slug: ki/submitmfainfo
description: Learn how to improve user interaction during the MFA handling process with a pop-up window. Submit all required MFA information at once and use the CheckStatus() method to check the status. Discover the request and response parameters, including traceId a
docTags: 
createdAt: 2023-06-30T03:33:36.896Z
---

For MFA handling during the institution connection, pop-up window is recommended for user interaction. This method is used to sumbit the relevant MFA information collected from the user. The MFA requirement varies among different institutions, but all required data points shall be submitted in one go.

After MFA information submission，the partner can also use the CheckStatus() method to check the status. Of cause, when the task is completed, the result will be returned by callback.

**Request parameter**:&#x20;

| **Name** | **Type** | **Required** | **Description**                 |
| -------- | -------- | ------------ | ------------------------------- |
| traceId  | String   | Yes          | The tracking number of the task |

**body:**

| **Name** | **Type** | **Required** | **Description**                                         |
| -------- | -------- | ------------ | ------------------------------------------------------- |
| cpf      | String   | No           | cpf                                                     |
| userName | String   | No           | User name (current only for Caixa or corporate account) |
| password | String   | No           | Password                                                |
| code     | String   | No           | User's token/code                                       |

:::hint{type="info"}
💡 **Note:**

1. The above fields also need to be encrypted before submission.
2. For FGTS, the MFA will be a little different. Because the MFA info in the results of the checkStatus() are a list of questions and options. It requires to submit the question id and options id, as the below format:&#x20;
   \{"code": "$options\_id,$question\_id"}
   If there are multiple questions, use "|" as the divider in between:
   \{"code": "$options\_id1,$question\_id1|$options\_id2,$question\_id2"}
:::

**Return data**: None

**Request example**:

```curl
curl -s -L -X POST 'https://api-testing.klavi.ai/link/external/v2/submitMFAInfo?traceId=DoZazec3ydDtKl3xnHCldgsLx17Ihyab' \
-H 'Authorization: K1-HMAC-SHA256 Credential=CrAKIDz8krbsJ5yKBZQpn74WFkmLPx3*******/2019-02-25/cbms/k1_request, SignedHeaders=content-type;host, Signature=cca1508a396977d25e548bebe8fecf54d1b40c2400177dc802068d94f6b9d7bb' \
-H 'X-Timestamp: 1551113065' \
-H 'Content-Type: application/json;charset=UTF-8' \
-H 'X-Region: ap-brazil' \
--data-raw '{"code":"cca1508a396977d25e548bebe8fecf54d1b40c2400177d"}'

```

**Return example**:

```json
{
    "code":200,
    "msg":"Solicitação realizada com sucesso",
    "data":{

    }
}
```

##

